Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wfs.operation.transaction
Class TransactionResponse

    java.lang.Object
      org.deegree.ogcwebservices.DefaultOGCWebServiceResponse
          org.deegree.ogcwebservices.wfs.operation.transaction.TransactionResponse

All Implemented Interfaces:
  OGCWebServiceResponse

    public class TransactionResponse

extends DefaultOGCWebServiceResponse

Encapsulates a TransactionResponse element according to WFS Specification OGC 04-094 (#12.3 Pg.72).

Because deegree supports atomic transactions, there is no need for the optional TransactionResults child element.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Anup Deshmukh , Markus Schneider , last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.ogcwebservices.DefaultOGCWebServiceResponse
`exception, request`

Constructor Summary
`TransactionResponse(Transaction transaction, int totalInserted, int totalUpdated, int totalDeleted, List<InsertResults> insertResults)` Creates a new `TransactionResponse` instance from the given parameters.
`TransactionResponse(Transaction transaction, int totalInserted, int totalUpdated, int totalDeleted, List<InsertResults> insertResults, List<Exception> exceptions)`

Method Summary
`List<Exception>` | `getExceptions()`
`List<InsertResults>` | `getInsertResults()` Returns the insert results, i.e. the feature ids of the features that have been inserted for every insert operation of the transaction.
`int` | `getTotalDeleted()` Returns the number of features that have been deleted in the transaction.
`int` | `getTotalInserted()` Returns the number of features that have been inserted in the transaction.
`int` | `getTotalUpdated()` Returns the number of features that have been updated in the transaction.

Methods inherited from class org.deegree.ogcwebservices.DefaultOGCWebServiceResponse
`getException, getRequest, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransactionResponse

    public TransactionResponse(Transaction transaction,
                               int totalInserted,
                               int totalUpdated,
                               int totalDeleted,
                               List<InsertResults> insertResults)

  Creates a new `TransactionResponse` instance from the given parameters.

  Parameters:
    `transaction` - request caused a response
    `totalInserted` -
    `totalUpdated` -
    `totalDeleted` -
    `insertResults` -

### TransactionResponse

    public TransactionResponse(Transaction transaction,
                               int totalInserted,
                               int totalUpdated,
                               int totalDeleted,
                               List<InsertResults> insertResults,
                               List<Exception> exceptions)

Parameters:
  `transaction` -
  `totalInserted` -
  `totalUpdated` -
  `totalDeleted` -
  `insertResults` -
  `exceptions` -

Method Detail

### getTotalDeleted

    public int getTotalDeleted()

  Returns the number of features that have been deleted in the transaction.

  Returns:
    number of features that have been deleted in the transaction.

### getTotalInserted

    public int getTotalInserted()

  Returns the number of features that have been inserted in the transaction.

  Returns:
    number of features that have been inserted in the transaction.

### getTotalUpdated

    public int getTotalUpdated()

  Returns the number of features that have been updated in the transaction.

  Returns:
    number of features that have been updated in the transaction.

### getInsertResults

    public List<InsertResults> getInsertResults()

  Returns the insert results, i.e. the feature ids of the features that have been inserted for every insert operation of the transaction.

  Returns:
    the insert results.

### getExceptions

    public List<Exception> getExceptions()

  Returns:
    a list of exceptions that occurred during the execution of the transaction operations.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org